
QGIS Application - Bug report #13620

Cancelling Layer Properties Dialog does not cancel changes made in "Provider feature filter" section

2015-10-16 04:09 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21658

Description

Open a layer Properties > General tab

write a formule in the Query builder and click "Test" 

The query instead of just being tested, is also applied in the map canvas. I'm not sure if this behaviour is good but why not, since it shows

how layer will be.

Now Click "OK" in the query builder dialog and click "CANCEL" in the Properties Dialog : your layer will be kept queried, despite you

cancelled the process.

Shouldn't all the not yet applied changes, made within the Layer Properties dialog, be reversed when user hits Cancel button?

Occured since QGIS 2.4 at least

Associated revisions

Revision 53998555 - 2015-11-18 06:00 PM - Sebastian Dietrich 

restore original subset string on dialog cancel (fix #13620)

History

#1 - 2015-11-17 02:13 PM - Sebastian Dietrich

Please see PR 2480 for a fix.

#2 - 2015-11-18 09:01 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"5399855566c504953151c4b56b6ae1e0d5097a5a".
https://github.com/qgis/QGIS/pull/2480

